Subject: Re: egcs-1.1-cygb19: dll exception bug.
From: [email-masked] (Mumit Khan)

6 Oct 1998 13:02:21 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII
To: Andrew Lipnitsky <[email-masked]>
Cc: Cygnus Solution GnuWin32 Mail List <[email-masked]>

On Mon, 5 Oct 1998, Andrew Lipnitsky wrote:

> Hello All!
> I have coolview.tar.gz with cygwinb19.dll 07/15/98 and
> egcs-1.1-cygb19 (AKA egcs-2.91.57) from
> http://www.xraylith.wisc.edu/~khan/software/gnu-win32/egcs.html
> I have found that exception which was thrown in dll module will
> never be caught in main program module.

Sigh. Yes, I do know about the problem, and I was being quiet hoping 
nobody would bring it up ;-)

If it makes you feel any better, a few other platforms are affected by 
this as well (HPUX for example), where throwing exceptions from shared 
libraries are not caught. 

It's somewhat low on my priority list, so let's hope someone out there
is looking into it.

Regards,
Mumit

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".